Package org.apache.calcite.avatica

## Interface Meta.ConnectionProperties

All Known Implementing Classes:
  `ConnectionPropertiesImpl`

Enclosing interface:
  Meta

    public static interface Meta.ConnectionProperties

A pojo containing various client-settable `Connection` properties.

`java.lang` types are used here so that `null` can be used to indicate a value has no been set.

Note: this interface is considered "experimental" and may undergo further changes as this functionality is extended to other aspects of state management for `Connection`, `Statement`, and `ResultSet`.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getCatalog()`
`java.lang.String` `getSchema()`
`java.lang.Integer` `getTransactionIsolation()`
`java.lang.Boolean` `isAutoCommit()`
`boolean` `isEmpty()`
`java.lang.Boolean` `isReadOnly()`
`Meta.ConnectionProperties` `merge​(Meta.ConnectionProperties that)` Overwrite fields in `this` with any non-null fields in `that`
`Meta.ConnectionProperties` `setAutoCommit​(boolean val)` Set `autoCommit` status.
`Meta.ConnectionProperties` `setCatalog​(java.lang.String val)` Set `catalog`.
`Meta.ConnectionProperties` `setReadOnly​(boolean val)` Set `readOnly` status.
`Meta.ConnectionProperties` `setSchema​(java.lang.String val)` Set `schema`.
`Meta.ConnectionProperties` `setTransactionIsolation​(int val)` Set `transactionIsolation` status.
`Common.ConnectionProperties` `toProto()`

### Method Detail

#### merge

    Meta.ConnectionProperties merge​(Meta.ConnectionProperties that)

Overwrite fields in `this` with any non-null fields in `that`

Returns:
  `this`

#### isEmpty

    boolean isEmpty()

Returns:
  `true` when no properties have been set, `false` otherwise.

#### setAutoCommit

    Meta.ConnectionProperties setAutoCommit​(boolean val)

Set `autoCommit` status.

Returns:
  `this`

#### isAutoCommit

    java.lang.Boolean isAutoCommit()

#### setReadOnly

    Meta.ConnectionProperties setReadOnly​(boolean val)

Set `readOnly` status.

Returns:
  `this`

#### isReadOnly

    java.lang.Boolean isReadOnly()

#### setTransactionIsolation

    Meta.ConnectionProperties setTransactionIsolation​(int val)

Set `transactionIsolation` status.

Returns:
  `this`

#### getTransactionIsolation

    java.lang.Integer getTransactionIsolation()

#### setCatalog

    Meta.ConnectionProperties setCatalog​(java.lang.String val)

Set `catalog`.

Returns:
  `this`

#### getCatalog

    java.lang.String getCatalog()

#### setSchema

    Meta.ConnectionProperties setSchema​(java.lang.String val)

Set `schema`.

Returns:
  `this`

#### getSchema

    java.lang.String getSchema()

#### toProto

    Common.ConnectionProperties toProto()